Create user
Create a new user
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Request body
{
"name": {
"familyName": "string",
"givenName": "string"
},
"urn:qyra:params:scim:schemas:extension:2.0:User": {
"role": "string"
},
"schemas": [
"string"
],
"userName": "string",
"active": true,
"emails": [
{
"primary": true,
"value": "string"
}
],
"roles": [
{
"value": "string",
"display": "string",
"type": "string",
"primary": true
}
],
"meta": {
"version": "string",
"location": "string",
"lastModified": "2024-01-01T00:00:00.000Z",
"created": "2024-01-01T00:00:00.000Z",
"resourceType": "string"
},
"title": "string",
"password": "string"
}Responses
200 — Ok
{
"schemas": [
"string"
],
"id": "string",
"meta": {
"version": "string",
"location": "string",
"lastModified": "2024-01-01T00:00:00.000Z",
"created": "2024-01-01T00:00:00.000Z",
"resourceType": "string"
},
"userName": "string",
"name": {
"familyName": "string",
"givenName": "string"
},
"active": true,
"emails": [
{
"primary": true,
"value": "string"
}
],
"roles": [
{
"value": "string",
"display": "string",
"type": "string",
"primary": true
}
],
"urn:qyra:params:scim:schemas:extension:2.0:User": {
"role": "string"
}
}201 — Created
{
"schemas": [
"string"
],
"id": "string",
"meta": {
"version": "string",
"location": "string",
"lastModified": "2024-01-01T00:00:00.000Z",
"created": "2024-01-01T00:00:00.000Z",
"resourceType": "string"
},
"userName": "string",
"name": {
"familyName": "string",
"givenName": "string"
},
"active": true,
"emails": [
{
"primary": true,
"value": "string"
}
],
"roles": [
{
"value": "string",
"display": "string",
"type": "string",
"primary": true
}
],
"urn:qyra:params:scim:schemas:extension:2.0:User": {
"role": "string"
}
}400 — Bad request
{
"status": "string",
"detail": "string",
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"scimType": "invalidFilter"
}409 — Conflict
{
"status": "string",
"detail": "string",
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"scimType": "invalidFilter"
}